package com.ruixuan.live.service;

import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.live.entity.KuaishouLiveBroadcast;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 快手—直播Service接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface IKuaishouLiveBroadcastService {
    /**
     * 查询快手—直播
     *
     * @param id 快手—直播主键
     * @return 快手—直播
     */
    public ResultResponse selectKuaishouLiveBroadcastById(String id);

    public ResultResponse getForEdit(String id);

    /**
     * 查询快手—直播列表
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 快手—直播集合
     */
    public List<KuaishouLiveBroadcast> selectKuaishouLiveBroadcastList(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 新增快手—直播
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 结果
     */
    public ResultResponse insertKuaishouLiveBroadcast(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 修改快手—直播
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 结果
     */
    public ResultResponse updateKuaishouLiveBroadcast(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 批量删除快手—直播
     *
     * @param ids 需要删除的快手—直播主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastByIds(String[] ids);

    /**
     * 删除快手—直播信息
     *
     * @param id 快手—直播主键
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastById(String id);

    ResultResponse dataUpload(String id, String actualGmv, String dapanUrls, String portraitUrls, MultipartFile[] files) throws Exception;

    ResultResponse replay(String id, String replayPictureUrls, String replayFile);
}
